Package ru.bitel.bgbilling.modules.inet.common.bean

# Class TrafficType

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.modules.inet.common.bean.TrafficType

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class TrafficType extends IdTitle
Тип трафика

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.Builder, IdTitle.IdTitleBuilder`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final TrafficType`
  `TIME`
  `static final Integer`
  `TIME_ID`

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TrafficType()`
  `TrafficType(int id, String title, int unit)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getUnit()`
  `void`
  `setUnit(int type)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Field Details

  - ### TIME_ID

    public static final Integer TIME_ID

  - ### TIME

    public static final TrafficType TIME

- ## Constructor Details

  - ### TrafficType

    public TrafficType()

  - ### TrafficType

    public TrafficType(int id, String title, int unit)

- ## Method Details

  - ### getUnit

    public int getUnit()
    Returns:
    See Also:
      - `ServiceUnit`

  - ### setUnit

    public void setUnit(int type)